sc::VWN2LCFunctional(3)

NAME
sc::VWN2LCFunctional - The VWN2LCFunctional computes energies and densities using the VWN2 local correlation term (from Vosko, Wilk, and Nusair).

SYNOPSIS

#include <functional.h>

Inherits sc::VWNLCFunctional.

  Public Methods
VWN2LCFunctional ()
Construct a VWN2 functional.
VWN2LCFunctional (const Ref< KeyVal > &)
Construct a VWN2 functional.
VWN2LCFunctional (StateIn &)
~VWN2LCFunctional ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

DETAILED DESCRIPTION

The VWN2LCFunctional computes energies and densities using the VWN2 local correlation term (from Vosko, Wilk, and Nusair).

MEMBER FUNCTION DOCUMENTATION

  void sc::VWN2LCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::VWNLCFunctional.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.